Devuan bug report logs - #689
openvpn: fatal error during installation

version graph

Package: systemctl-service-shim; Maintainer for systemctl-service-shim is B. Stack <bgstack15@gmail.com>; Source for systemctl-service-shim is src:systemctl-service-shim.

Reported by: "Dimitris T." <dimitris@stinpriza.org>

Date: Wed, 13 Jul 2022 21:40:02 UTC

Severity: critical

Found in version 0.0.3-1

Done: B Stack <bgstack15@gmail.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#689; Package openvpn. (Wed, 13 Jul 2022 21:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Dimitris T." <dimitris@stinpriza.org>:
New bug report received and forwarded. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Wed, 13 Jul 2022 21:40:07 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: "Dimitris T." <dimitris@stinpriza.org>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: openvpn: fatal error during installation
Date: Thu, 14 Jul 2022 00:38:00 +0300
Package: openvpn
Version: 2.6.0~git20220518+dco-1devuan1
Severity: normal

Hey,

tried to install openvpn and got the following message during installation : 

Selecting previously unselected package openvpn.
Preparing to unpack .../openvpn_2.6.0~git20220518+dco-1devuan1_amd64.deb ...
Unpacking openvpn (2.6.0~git20220518+dco-1devuan1) ...
Installing openvpn (2.6.0~git20220518+dco-1devuan1) ...
Fatal! 2. Unable to understand action preset. Aborted.
/usr/bin/deb-systemd-helper: error: systemctl preset failed on openvpn.service: No such file or directory

openvpn seems to install ok and vpn connection works as expected afaik, no issues seen. just this installation error.

thanks,
d.


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus/ceres)
Release:	5
Codename:	daedalus ceres
Architecture: x86_64

Kernel: Linux 5.18.0-2-amd64 (SMP w/4 CPU threads; PREEMPT)
Kernel taint flags: TAINT_FIRMWARE_WORKAROUND
Locale: LANG=el_GR.UTF-8, LC_CTYPE=el_GR.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: runit (via /run/runit.stopit)

Versions of packages openvpn depends on:
ii  debconf [debconf-2.0]  1.5.79
ii  libc6                  2.33-8
ii  liblz4-1               1.9.3-2
ii  liblzo2-2              2.10-2
ii  libnl-3-200            3.5.0-0.1
ii  libnl-genl-3-200       3.5.0-0.1
ii  libpam0g               1.4.0-13
ii  libpkcs11-helper1      1.29.0-1
ii  libssl3                3.0.4-2
ii  lsb-base               11.2

Versions of packages openvpn recommends:
ii  easy-rsa  3.1.0-0.1

Versions of packages openvpn suggests:
ii  openssl           3.0.4-2
pn  openvpn-dco-dkms  <none>
pn  resolvconf        <none>

-- debconf information:
  openvpn/create_tun: false

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#689; Package openvpn. (Thu, 14 Jul 2022 06:24:01 GMT) (full text, mbox, link).


Message #8 received at 689@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Dimitris T." <dimitris@stinpriza.org>, 689@bugs.devuan.org
Subject: Re: bug#689: openvpn: fatal error during installation
Date: Thu, 14 Jul 2022 07:21:40 +0100
Dimitris,

Thanks.

On Thu, Jul 14, 2022 at 12:38:00AM +0300, Dimitris T. wrote:
> Package: openvpn
> Version: 2.6.0~git20220518+dco-1devuan1
> Severity: normal
> 
> Hey,
> 
> tried to install openvpn and got the following message during installation : 
> 
> Selecting previously unselected package openvpn.
> Preparing to unpack .../openvpn_2.6.0~git20220518+dco-1devuan1_amd64.deb ...
> Unpacking openvpn (2.6.0~git20220518+dco-1devuan1) ...
> Installing openvpn (2.6.0~git20220518+dco-1devuan1) ...
> Fatal! 2. Unable to understand action preset. Aborted.

Do you have either systemctl or systemctl-service-shim installed?

Thanks

Mark
> /usr/bin/deb-systemd-helper: error: systemctl preset failed on openvpn.service: No such file or directory
> 
> openvpn seems to install ok and vpn connection works as expected afaik, no issues seen. just this installation error.
> 
> thanks,
> d.
> 
> 
> -- System Information:
> Distributor ID:	Devuan
> Description:	Devuan GNU/Linux 5 (daedalus/ceres)
> Release:	5
> Codename:	daedalus ceres
> Architecture: x86_64
> 
> Kernel: Linux 5.18.0-2-amd64 (SMP w/4 CPU threads; PREEMPT)
> Kernel taint flags: TAINT_FIRMWARE_WORKAROUND
> Locale: LANG=el_GR.UTF-8, LC_CTYPE=el_GR.UTF-8 (charmap=UTF-8), LANGUAGE not set
> Shell: /bin/sh linked to /bin/dash
> Init: runit (via /run/runit.stopit)
> 
> Versions of packages openvpn depends on:
> ii  debconf [debconf-2.0]  1.5.79
> ii  libc6                  2.33-8
> ii  liblz4-1               1.9.3-2
> ii  liblzo2-2              2.10-2
> ii  libnl-3-200            3.5.0-0.1
> ii  libnl-genl-3-200       3.5.0-0.1
> ii  libpam0g               1.4.0-13
> ii  libpkcs11-helper1      1.29.0-1
> ii  libssl3                3.0.4-2
> ii  lsb-base               11.2
> 
> Versions of packages openvpn recommends:
> ii  easy-rsa  3.1.0-0.1
> 
> Versions of packages openvpn suggests:
> ii  openssl           3.0.4-2
> pn  openvpn-dco-dkms  <none>
> pn  resolvconf        <none>
> 
> -- debconf information:
>   openvpn/create_tun: false
> _______________________________________________
> devuan-dev internal mailing list
> devuan-dev@lists.dyne.org
> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#689; Package openvpn. (Thu, 14 Jul 2022 09:58:01 GMT) (full text, mbox, link).


Acknowledgement sent to Dimitris <dimitris@stinpriza.org>:
Extra info received and forwarded to list. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Thu, 14 Jul 2022 09:58:08 GMT) (full text, mbox, link).


Message #13 received at 689@bugs.devuan.org (full text, mbox, reply):

From: Dimitris <dimitris@stinpriza.org>
To: Mark Hindley <mark@hindley.org.uk>, 689@bugs.devuan.org
Subject: Re: bug#689: openvpn: fatal error during installation
Date: Thu, 14 Jul 2022 12:56:41 +0300
Στις 14/7/22 09:21, ο/η Mark Hindley έγραψε:
> Do you have either systemctl or systemctl-service-shim installed?

yes,
systemctl-service-shim/unstable,now 0.0.3-1 all is installed.
don't know why it's there, but it seems that it'll remove lvm2 if i try 
to purge it..

thx,
d.

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#689; Package openvpn. (Thu, 14 Jul 2022 11:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Thu, 14 Jul 2022 11:50:05 GMT) (full text, mbox, link).


Message #18 received at 689@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Dimitris <dimitris@stinpriza.org>
Cc: 689@bugs.devuan.org, bgstack15@gmail.com
Subject: Re: bug#689: openvpn: fatal error during installation
Date: Thu, 14 Jul 2022 12:46:49 +0100
Control: reassign -1 systemctl-service-shim
Control: found -1 0.0.3-1

On Thu, Jul 14, 2022 at 12:56:41PM +0300, Dimitris wrote:
> Στις 14/7/22 09:21, ο/η Mark Hindley έγραψε:
> > Do you have either systemctl or systemctl-service-shim installed?
> 
> yes,
> systemctl-service-shim/unstable,now 0.0.3-1 all is installed.
> don't know why it's there, but it seems that it'll remove lvm2 if i try to
> purge it..

I think this is caused by the new version of systemctl-service-shim. Reassigning.

Ben,

Now you have added the /bin/systemctl symlink, /usr/bin/deb-systemd-helper tries
to use it and the preset command is not suported.

I think you will need to support the full systemctl API, even if they are noop.

Mark

bug reassigned from package 'openvpn' to 'systemctl-service-shim'. Request was from Mark Hindley <mark@hindley.org.uk> to 689-submit@bugs.devuan.org. (Thu, 14 Jul 2022 11:50:08 GMT) (full text, mbox, link).


No longer marked as found in versions 2.6.0~git20220518+dco-1devuan1. Request was from Mark Hindley <mark@hindley.org.uk> to 689-submit@bugs.devuan.org. (Thu, 14 Jul 2022 11:50:08 GMT) (full text, mbox, link).


Marked as found in versions 0.0.3-1. Request was from Mark Hindley <mark@hindley.org.uk> to 689-submit@bugs.devuan.org. (Thu, 14 Jul 2022 11:50:08 GMT) (full text, mbox, link).


Severity set to 'critical' from 'normal' Request was from mark@hindley.org.uk to control@bugs.devuan.org. (Fri, 15 Jul 2022 12:32:02 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, B. Stack <bgstack15@gmail.com>:
bug#689; Package systemctl-service-shim. (Fri, 15 Jul 2022 14:12:02 GMT) (full text, mbox, link).


Acknowledgement sent to Dimitris <dimitris@stinpriza.org>:
Extra info received and forwarded to list. Copy sent to B. Stack <bgstack15@gmail.com>. (Fri, 15 Jul 2022 14:12:05 GMT) (full text, mbox, link).


Message #31 received at 689@bugs.devuan.org (full text, mbox, reply):

From: Dimitris <dimitris@stinpriza.org>
To: 689@bugs.devuan.org
Cc: bgstack15@gmail.com, Mark Hindley <mark@hindley.org.uk>
Subject: Re: bug#689: openvpn: fatal error during installation
Date: Fri, 15 Jul 2022 17:09:35 +0300
Hey,

just installed latest systemctl-service-shim (0.0.4-1) and then purged + 
reinstalled openvpn, and error is no longer there...

so it looks fixed (really fast!!), and i think can be closed as well :)

thanks,
d.

Στις 14/7/22 14:46, ο/η Mark Hindley έγραψε:
> Control: reassign -1 systemctl-service-shim
> Control: found -1 0.0.3-1
> 
> On Thu, Jul 14, 2022 at 12:56:41PM +0300, Dimitris wrote:
>> Στις 14/7/22 09:21, ο/η Mark Hindley έγραψε:
>>> Do you have either systemctl or systemctl-service-shim installed?
>>
>> yes,
>> systemctl-service-shim/unstable,now 0.0.3-1 all is installed.
>> don't know why it's there, but it seems that it'll remove lvm2 if i try to
>> purge it..
> 
> I think this is caused by the new version of systemctl-service-shim. Reassigning.
> 
> Ben,
> 
> Now you have added the /bin/systemctl symlink, /usr/bin/deb-systemd-helper tries
> to use it and the preset command is not suported.
> 
> I think you will need to support the full systemctl API, even if they are noop.
> 
> Mark


Reply sent to B Stack <bgstack15@gmail.com>:
You have taken responsibility. (Wed, 17 Apr 2024 12:10:01 GMT) (full text, mbox, link).


Notification sent to "Dimitris T." <dimitris@stinpriza.org>:
bug acknowledged by developer. (Wed, 17 Apr 2024 12:10:02 GMT) (full text, mbox, link).


Message #36 received at 689-done@bugs.devuan.org (full text, mbox, reply):

From: B Stack <bgstack15@gmail.com>
To: 689-done@bugs.devuan.org
Subject: fixed in 0.0.5
Date: Wed, 17 Apr 2024 08:08:36 -0400
Please find that verb "preset" operates without error in
systemctl-service-shim 0.0.5 which is in Devuan Ceres.

B. Stack

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri May 24 07:19:51 2024;